org.jboss.resteasy.client.cache

## Class MapCache

- java.lang.Object
- - org.jboss.resteasy.client.cache.MapCache

- All Implemented Interfaces:
    BrowserCache

  Deprecated.

      @Deprecated
      public class MapCache
      extends Object
      implements BrowserCache

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.client.cache.BrowserCache

      `BrowserCache.Entry, BrowserCache.Header`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Map<String,BrowserCache.Entry>>` | `cache` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapCache()` Deprecated.
    `MapCache(Map<String,Map<String,BrowserCache.Entry>> cache)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `protected Map<String,Map<String,BrowserCache.Entry>>` | `createCache()` Deprecated.
    `BrowserCache.Entry` | `get(String key, MediaType accept)` Deprecated.
    `BrowserCache.Entry` | `getAny(String key)` Deprecated.
    `BrowserCache.Entry` | `getEntry(String key, MediaType accept)` Deprecated.
    `BrowserCache.Entry` | `put(CacheEntry cacheEntry)` Deprecated.
    `BrowserCache.Entry` | `put(String key, MediaType mediaType, MultivaluedMap<String,String> headers, byte[] cached, int expires, String etag, String lastModified)` Deprecated.
    `BrowserCache.Entry` | `remove(String key, MediaType type)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected Map<String,Map<String,BrowserCache.Entry>> cache

      Deprecated.

  - ### Constructor Detail

    - #### MapCache

          public MapCache()

      Deprecated.

    - #### MapCache

          public MapCache(Map<String,Map<String,BrowserCache.Entry>> cache)

      Deprecated.

  - ### Method Detail

    - #### createCache

          protected Map<String,Map<String,BrowserCache.Entry>> createCache()

      Deprecated.

    - #### get

          public BrowserCache.Entry get(String key,
                               MediaType accept)

      Deprecated.
      Specified by:
        `get` in interface `BrowserCache`

    - #### getAny

          public BrowserCache.Entry getAny(String key)

      Deprecated.
      Specified by:
        `getAny` in interface `BrowserCache`

    - #### getEntry

          public BrowserCache.Entry getEntry(String key,
                                    MediaType accept)

      Deprecated.

    - #### remove

          public BrowserCache.Entry remove(String key,
                                  MediaType type)

      Deprecated.
      Specified by:
        `remove` in interface `BrowserCache`

    - #### clear

          public void clear()

      Deprecated.
      Specified by:
        `clear` in interface `BrowserCache`

    - #### put

          public BrowserCache.Entry put(CacheEntry cacheEntry)

      Deprecated.

    - #### put

          public BrowserCache.Entry put(String key,
                               MediaType mediaType,
                               MultivaluedMap<String,String> headers,
                               byte[] cached,
                               int expires,
                               String etag,
                               String lastModified)

      Deprecated.
      Specified by:
        `put` in interface `BrowserCache`

Copyright © 2014. All Rights Reserved.